#ifndef HAL_H /* prevent circular inclusions */
#define HAL_H /* by using protection macros */

#define uint32_t u32
#define int32_t s32

int32_t ad9081_hal_init();
int32_t ad9081_hal_wait_us(void *user_data, uint32_t time_us);
int32_t ad9081_hal_log_write(void *user_data, int32_t log_type, const char *comment, va_list argp);
int32_t ad9081_hal_hw_rst_pin_ctrl_ad9081(void *user_data, uint8_t pin_level);
int32_t ad9081_hal_spi_xfer_ad9081(void *user_data, uint8_t *in_data, uint8_t *out_data, uint32_t size_bytes);

#endif /* end of protection macro */
